SchemaReverse::CodeBaseReverse Class Reference

A basic class for all DB object classes which use SQL code as base of its content. More...

Inheritance diagram for SchemaReverse::CodeBaseReverse:
[legend]

## Public Member Functions

| constructor (string object_type, AbstractDatasource ds, string name, string function_name, softlist ignored_keys)
hash | toQore ()
| Dedicated functionlity to get DB object info into the internal structure is done here. More...
Public Member Functions inherited from SchemaReverse::AbstractReverseObject
| constructor (AbstractDatasource ds, string name)
Database | database ()
AbstractDatasource | datasource ()
string | name ()
string | toString ()
| Make a string with Qore code from a structure prepared by AbstractReverseObject::toQore(). More...

## Detailed Description

A basic class for all DB object classes which use SQL code as base of its content.

For example VIEW or PROCEDURE etc. This class is not primarily used for direct usage in user code, but only as a base for real implementations.

## Member Function Documentation

## constructor()

SchemaReverse::CodeBaseReverse::constructor | ( | string | object_type,
|  | AbstractDatasource | ds,
|  | string | name,
|  | string | function_name,
|  | softlist | ignored_keys
| ) |  |

Parameters

  object_type | a string with DB type name see TYPE_TO_CLASS map
  ds | a datasource
  name | a string with DB object name
  function_name | to get the DB object info, as eg 'getView'
  ignored_keys | an optional list with keys to ignore from result of meta call of `function_name`

## toQore()

hash SchemaReverse::CodeBaseReverse::toQore | ( |  | ) |

virtual

Dedicated functionlity to get DB object info into the internal structure is done here.

All inherited classes must implement this method to get all required DB metadata in proper format

Implements SchemaReverse::AbstractReverseObject.